package download_request

import "downloader/internal/core/entities"

type Repository interface {
	Create(download *entities.Download) (*entities.Download, error)
	GetById(id string) (*entities.Download, error)
	Update(download *entities.Download) error
}
